package com.bonus.system.mapper;

import com.bonus.system.api.domain.SysTemplate;
import java.util.List;

/**
 * 权限模板Mapper接口
 * 
 * @author bonus
 * @date 2025-01-05
 */
public interface SysTemplateMapper 
{
    /**
     * 查询权限模板
     * 
     * @param id 权限模板ID
     * @return 权限模板
     */
    public SysTemplate selectSysTemplateById(Long id);

    /**
     * 查询权限模板列表
     * 
     * @param sysTemplate 权限模板
     * @return 权限模板集合
     */
    public List<SysTemplate> selectSysTemplateList(SysTemplate sysTemplate);

    /**
     * 新增权限模板
     * 
     * @param sysTemplate 权限模板
     * @return 结果
     */
    public int insertSysTemplate(SysTemplate sysTemplate);

    /**
     * 修改权限模板
     * 
     * @param sysTemplate 权限模板
     * @return 结果
     */
    public int updateSysTemplate(SysTemplate sysTemplate);

    /**
     * 删除权限模板
     * 
     * @param id 权限模板ID
     * @return 结果
     */
    public int deleteSysTemplateById(String id);

    /**
     * 批量删除权限模板
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysTemplateByIds(Long[] ids);
}
